Merge remote-tracking branch 'origin/master' into yasp
[scilab.git] / scilab / modules / ast / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
20 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 ##########
30 ### Makefile included stuff
31 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
32 ##########
33
34
35 VPATH = @srcdir@
36 am__make_dryrun = \
37   { \
38     am__dry=no; \
39     case $$MAKEFLAGS in \
40       *\\[\ \   ]*) \
41         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
42           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
43       *) \
44         for am__flg in $$MAKEFLAGS; do \
45           case $$am__flg in \
46             *=*|--*) ;; \
47             *n*) am__dry=yes; break;; \
48           esac; \
49         done;; \
50     esac; \
51     test $$am__dry = yes; \
52   }
53 pkgdatadir = $(datadir)/@PACKAGE@
54 pkgincludedir = $(includedir)/@PACKAGE@
55 pkglibdir = $(libdir)/@PACKAGE@
56 pkglibexecdir = $(libexecdir)/@PACKAGE@
57 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
58 install_sh_DATA = $(install_sh) -c -m 644
59 install_sh_PROGRAM = $(install_sh) -c
60 install_sh_SCRIPT = $(install_sh) -c
61 INSTALL_HEADER = $(INSTALL_DATA)
62 transform = $(program_transform_name)
63 NORMAL_INSTALL = :
64 PRE_INSTALL = :
65 POST_INSTALL = :
66 NORMAL_UNINSTALL = :
67 PRE_UNINSTALL = :
68 POST_UNINSTALL = :
69 build_triplet = @build@
70 host_triplet = @host@
71 check_PROGRAMS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
72         testControlExp$(EXEEXT)
73 TESTS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
74         testControlExp$(EXEEXT)
75 DIST_COMMON = $(libsciast_la_include_HEADERS) $(srcdir)/Makefile.am \
76         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am
77 @NEED_JAVA_TRUE@am__append_1 = java
78 subdir = modules/ast
79 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
80 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
81         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
82         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
83         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
84         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
85         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
86         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
87         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
88         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
89         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
90         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
91         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
92         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
93         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
94         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
95         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
100 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104 am__vpath_adj = case $$p in \
105     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106     *) f=$$p;; \
107   esac;
108 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109 am__install_max = 40
110 am__nobase_strip_setup = \
111   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112 am__nobase_strip = \
113   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114 am__nobase_list = $(am__nobase_strip_setup); \
115   for p in $$list; do echo "$$p $$p"; done | \
116   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118     if (++n[$$2] == $(am__install_max)) \
119       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120     END { for (dir in files) print dir, files[dir] }'
121 am__base_list = \
122   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124 am__uninstall_files_from_dir = { \
125   test -z "$$files" \
126     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
127     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
128          $(am__cd) "$$dir" && rm -f $$files; }; \
129   }
130 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
131         "$(DESTDIR)$(libsciast_la_includedir)"
132 LTLIBRARIES = $(pkglib_LTLIBRARIES)
133 libsciast_la_LIBADD =
134 am_libsciast_la_OBJECTS = libsciast_la-libAst.lo \
135         libsciast_la-visitor_common.lo libsciast_la-printvisitor.lo \
136         libsciast_la-debugvisitor.lo libsciast_la-mutevisitor.lo \
137         libsciast_la-shortcutvisitor.lo \
138         libsciast_la-scilabexception.lo
139 libsciast_la_OBJECTS = $(am_libsciast_la_OBJECTS)
140 am_testConstExp_OBJECTS = testConstExp-testConstExp.$(OBJEXT)
141 testConstExp_OBJECTS = $(am_testConstExp_OBJECTS)
142 testConstExp_DEPENDENCIES = $(check_LDADD)
143 testConstExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
144         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testConstExp_CXXFLAGS) \
145         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
146 am_testControlExp_OBJECTS = testControlExp-testControlExp.$(OBJEXT)
147 testControlExp_OBJECTS = $(am_testControlExp_OBJECTS)
148 testControlExp_DEPENDENCIES = $(check_LDADD)
149 testControlExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
150         $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
151         $(testControlExp_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
152         $(LDFLAGS) -o $@
153 am_testVarExp_OBJECTS = testVarExp-testVarExp.$(OBJEXT)
154 testVarExp_OBJECTS = $(am_testVarExp_OBJECTS)
155 testVarExp_DEPENDENCIES = $(check_LDADD)
156 testVarExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
157         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testVarExp_CXXFLAGS) \
158         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
159 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
160 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
161 am__depfiles_maybe = depfiles
162 am__mv = mv -f
163 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
164         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
165 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
166         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
167         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
168 CXXLD = $(CXX)
169 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
170         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
171         $(LDFLAGS) -o $@
172 SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
173         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
174 DIST_SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
175         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
176 am__can_run_installinfo = \
177   case $$AM_UPDATE_INFO_DIR in \
178     n|no|NO) false;; \
179     *) (install-info --version) >/dev/null 2>&1;; \
180   esac
181 HEADERS = $(libsciast_la_include_HEADERS)
182 ETAGS = etags
183 CTAGS = ctags
184 am__tty_colors = \
185 red=; grn=; lgn=; blu=; std=
186 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
187 ACLOCAL = @ACLOCAL@
188 ALL_LINGUAS = @ALL_LINGUAS@
189 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
190 AMTAR = @AMTAR@
191 ANT = @ANT@
192 ANTLR = @ANTLR@
193 AR = @AR@
194 ARPACK_LIBS = @ARPACK_LIBS@
195 ASM3 = @ASM3@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
200 AWK = @AWK@
201 BATIK = @BATIK@
202 BLAS_LIBS = @BLAS_LIBS@
203 CC = @CC@
204 CCACHE = @CCACHE@
205 CCDEPMODE = @CCDEPMODE@
206 CFLAGS = @CFLAGS@
207 CHECKSTYLE = @CHECKSTYLE@
208 COBERTURA = @COBERTURA@
209 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
210 COMMONS_IO = @COMMONS_IO@
211 COMMONS_LOGGING = @COMMONS_LOGGING@
212 CPP = @CPP@
213 CPPFLAGS = @CPPFLAGS@
214 CURL_CFLAGS = @CURL_CFLAGS@
215 CURL_CONFIG = @CURL_CONFIG@
216 CURL_LIBS = @CURL_LIBS@
217 CURL_VERSION = @CURL_VERSION@
218 CXX = @CXX@
219 CXXCPP = @CXXCPP@
220 CXXDEPMODE = @CXXDEPMODE@
221 CXXFLAGS = @CXXFLAGS@
222 CYGPATH_W = @CYGPATH_W@
223 DEFS = @DEFS@
224 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
225 DEPDIR = @DEPDIR@
226 DOCBOOK_ROOT = @DOCBOOK_ROOT@
227 DOXYGEN_BIN = @DOXYGEN_BIN@
228 DSYMUTIL = @DSYMUTIL@
229 DUMPBIN = @DUMPBIN@
230 ECHO_C = @ECHO_C@
231 ECHO_N = @ECHO_N@
232 ECHO_T = @ECHO_T@
233 EGREP = @EGREP@
234 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
235 EXEEXT = @EXEEXT@
236 F77 = @F77@
237 FFLAGS = @FFLAGS@
238 FFTW3_LIB = @FFTW3_LIB@
239 FFTW_ENABLE = @FFTW_ENABLE@
240 FGREP = @FGREP@
241 FLEXDOCK = @FLEXDOCK@
242 FLIBS = @FLIBS@
243 FOP = @FOP@
244 GENHTML = @GENHTML@
245 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
246 GIWS_BIN = @GIWS_BIN@
247 GLUEGEN2_RT = @GLUEGEN2_RT@
248 GMSGFMT = @GMSGFMT@
249 GMSGFMT_015 = @GMSGFMT_015@
250 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
251 GREP = @GREP@
252 GUI_ENABLE = @GUI_ENABLE@
253 HDF5_CFLAGS = @HDF5_CFLAGS@
254 HDF5_LIBS = @HDF5_LIBS@
255 HELP_ENABLE = @HELP_ENABLE@
256 INSTALL = @INSTALL@
257 INSTALL_DATA = @INSTALL_DATA@
258 INSTALL_PROGRAM = @INSTALL_PROGRAM@
259 INSTALL_SCRIPT = @INSTALL_SCRIPT@
260 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
261 INTLLIBS = @INTLLIBS@
262 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
263 JAR = @JAR@
264 JAVA = @JAVA@
265 JAVAC = @JAVAC@
266 JAVAC_DEBUG = @JAVAC_DEBUG@
267 JAVADOC = @JAVADOC@
268 JAVAH = @JAVAH@
269 JAVASCI_ENABLE = @JAVASCI_ENABLE@
270 JAVA_ENABLE = @JAVA_ENABLE@
271 JAVA_G = @JAVA_G@
272 JAVA_HOME = @JAVA_HOME@
273 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
274 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
275 JDB = @JDB@
276 JEUCLID_CORE = @JEUCLID_CORE@
277 JGRAPHX = @JGRAPHX@
278 JHALL = @JHALL@
279 JLATEXMATH = @JLATEXMATH@
280 JLATEXMATH_FOP = @JLATEXMATH_FOP@
281 JOGL2 = @JOGL2@
282 JROSETTA_API = @JROSETTA_API@
283 JROSETTA_ENGINE = @JROSETTA_ENGINE@
284 JUNIT4 = @JUNIT4@
285 LAPACK_LIBS = @LAPACK_LIBS@
286 LCOV = @LCOV@
287 LD = @LD@
288 LDFLAGS = @LDFLAGS@
289 LEX = @LEX@
290 LEXLIB = @LEXLIB@
291 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
292 LIBICONV = @LIBICONV@
293 LIBINTL = @LIBINTL@
294 LIBM = @LIBM@
295 LIBOBJS = @LIBOBJS@
296 LIBS = @LIBS@
297 LIBTOOL = @LIBTOOL@
298 LIPO = @LIPO@
299 LN_S = @LN_S@
300 LOGGING_LEVEL = @LOGGING_LEVEL@
301 LOOKS = @LOOKS@
302 LTLIBICONV = @LTLIBICONV@
303 LTLIBINTL = @LTLIBINTL@
304 LTLIBOBJS = @LTLIBOBJS@
305 MAINT = @MAINT@
306 MAKEINFO = @MAKEINFO@
307 MATIO_CFLAGS = @MATIO_CFLAGS@
308 MATIO_ENABLE = @MATIO_ENABLE@
309 MATIO_LIBS = @MATIO_LIBS@
310 MKDIR_P = @MKDIR_P@
311 MSGCAT = @MSGCAT@
312 MSGFMT = @MSGFMT@
313 MSGFMT_015 = @MSGFMT_015@
314 MSGMERGE = @MSGMERGE@
315 NM = @NM@
316 NMEDIT = @NMEDIT@
317 OBJDUMP = @OBJDUMP@
318 OBJEXT = @OBJEXT@
319 OCAMLC = @OCAMLC@
320 OCAMLDEP = @OCAMLDEP@
321 OCAMLLEX = @OCAMLLEX@
322 OCAMLOPT = @OCAMLOPT@
323 OCAMLYACC = @OCAMLYACC@
324 OPENMP_CFLAGS = @OPENMP_CFLAGS@
325 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
326 OPENMP_ENABLE = @OPENMP_ENABLE@
327 OPENMP_LIBS = @OPENMP_LIBS@
328 OTOOL = @OTOOL@
329 OTOOL64 = @OTOOL64@
330 PACKAGE = @PACKAGE@
331 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
332 PACKAGE_NAME = @PACKAGE_NAME@
333 PACKAGE_STRING = @PACKAGE_STRING@
334 PACKAGE_TARNAME = @PACKAGE_TARNAME@
335 PACKAGE_URL = @PACKAGE_URL@
336 PACKAGE_VERSION = @PACKAGE_VERSION@
337 PATH_SEPARATOR = @PATH_SEPARATOR@
338 PCRE_CFLAGS = @PCRE_CFLAGS@
339 PCRE_CONFIG = @PCRE_CONFIG@
340 PCRE_LIBS = @PCRE_LIBS@
341 PCRE_VERSION = @PCRE_VERSION@
342 PKG_CONFIG = @PKG_CONFIG@
343 POSUB = @POSUB@
344 POW_LIB = @POW_LIB@
345 PYTHON = @PYTHON@
346 RANLIB = @RANLIB@
347 RELOCATABLE = @RELOCATABLE@
348 RT_LIB = @RT_LIB@
349 SAXON = @SAXON@
350 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
351 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
352 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
353 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
354 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
355 SCIRENDERER = @SCIRENDERER@
356 SCIRENDERER_CP = @SCIRENDERER_CP@
357 SCI_CFLAGS = @SCI_CFLAGS@
358 SCI_CXXFLAGS = @SCI_CXXFLAGS@
359 SCI_FFLAGS = @SCI_FFLAGS@
360 SCI_LDFLAGS = @SCI_LDFLAGS@
361 SED = @SED@
362 SET_MAKE = @SET_MAKE@
363 SET_RELOCATABLE = @SET_RELOCATABLE@
364 SHELL = @SHELL@
365 SKINLF = @SKINLF@
366 SPLINT = @SPLINT@
367 STRIP = @STRIP@
368 SWIG_BIN = @SWIG_BIN@
369 SWIG_JAVA = @SWIG_JAVA@
370 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
371 TCLTK_LIBS = @TCLTK_LIBS@
372 TCL_INC_PATH = @TCL_INC_PATH@
373 TK_INC_PATH = @TK_INC_PATH@
374 UMFPACK_ENABLE = @UMFPACK_ENABLE@
375 UMFPACK_LIB = @UMFPACK_LIB@
376 USE_NLS = @USE_NLS@
377 VERSION = @VERSION@
378 WITH_OCAML = @WITH_OCAML@
379 WITH_TKSCI = @WITH_TKSCI@
380 XCOS_ENABLE = @XCOS_ENABLE@
381 XGETTEXT = @XGETTEXT@
382 XGETTEXT_015 = @XGETTEXT_015@
383 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
384 XMKMF = @XMKMF@
385 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
386 XML_APIS_EXT = @XML_APIS_EXT@
387 XML_CONFIG = @XML_CONFIG@
388 XML_FLAGS = @XML_FLAGS@
389 XML_LIBS = @XML_LIBS@
390 XML_VERSION = @XML_VERSION@
391 X_CFLAGS = @X_CFLAGS@
392 X_EXTRA_LIBS = @X_EXTRA_LIBS@
393 X_LIBS = @X_LIBS@
394 X_PRE_LIBS = @X_PRE_LIBS@
395 YACC = @YACC@
396 YFLAGS = @YFLAGS@
397 abs_builddir = @abs_builddir@
398 abs_srcdir = @abs_srcdir@
399 abs_top_builddir = @abs_top_builddir@
400 abs_top_srcdir = @abs_top_srcdir@
401 ac_ct_CC = @ac_ct_CC@
402 ac_ct_CXX = @ac_ct_CXX@
403 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
404 ac_ct_F77 = @ac_ct_F77@
405 am__include = @am__include@
406 am__leading_dot = @am__leading_dot@
407 am__quote = @am__quote@
408 am__tar = @am__tar@
409 am__untar = @am__untar@
410 bindir = @bindir@
411 build = @build@
412 build_alias = @build_alias@
413 build_cpu = @build_cpu@
414 build_os = @build_os@
415 build_vendor = @build_vendor@
416 builddir = @builddir@
417 cxx_present = @cxx_present@
418 datadir = @datadir@
419 datarootdir = @datarootdir@
420 docdir = @docdir@
421 dvidir = @dvidir@
422 exec_prefix = @exec_prefix@
423 host = @host@
424 host_alias = @host_alias@
425 host_cpu = @host_cpu@
426 host_os = @host_os@
427 host_vendor = @host_vendor@
428 htmldir = @htmldir@
429 includedir = @includedir@
430 infodir = @infodir@
431 install_sh = @install_sh@
432 libdir = @libdir@
433 libexecdir = @libexecdir@
434 localedir = @localedir@
435 localstatedir = @localstatedir@
436 mandir = @mandir@
437 mkdir_p = @mkdir_p@
438 oldincludedir = @oldincludedir@
439 pdfdir = @pdfdir@
440 prefix = @prefix@
441 program_transform_name = @program_transform_name@
442 psdir = @psdir@
443 sbindir = @sbindir@
444 sharedstatedir = @sharedstatedir@
445 srcdir = @srcdir@
446 sysconfdir = @sysconfdir@
447 target_alias = @target_alias@
448 top_build_prefix = @top_build_prefix@
449 top_builddir = @top_builddir@
450 top_srcdir = @top_srcdir@
451 yacc_present = @yacc_present@
452 pkglib_LTLIBRARIES = libsciast.la
453 libsciast_la_SOURCES = \
454         src/cpp/libAst.cpp \
455         src/cpp/visitor_common.cpp \
456         src/cpp/printvisitor.cpp \
457         src/cpp/debugvisitor.cpp \
458         src/cpp/mutevisitor.cpp \
459         src/cpp/shortcutvisitor.cpp \
460         src/cpp/scilabexception.cpp
461
462 libsciast_la_CPPFLAGS = \
463         -Iincludes \
464         -Isrc/cpp \
465     -I$(top_srcdir)/modules/dynamic_link/includes \
466     -I$(top_srcdir)/modules/symbol/includes \
467         -I$(top_srcdir)/modules/types/includes \
468         -I$(top_srcdir)/modules/functions_manager/includes \
469         -I$(top_srcdir)/modules/console/includes \
470         -I$(top_srcdir)/modules/elementary_functions/includes \
471         -I$(top_srcdir)/modules/operations/includes \
472         -I$(top_srcdir)/modules/output_stream/includes \
473         -I$(top_srcdir)/modules/system_env/includes \
474         -I$(top_srcdir)/modules/api_scilab/includes \
475         -I$(top_srcdir)/modules/string/includes \
476         -I$(top_srcdir)/modules/threads/includes \
477         -I$(top_srcdir)/modules/localization/includes \
478     $(EIGEN_CPPFLAGS) \
479         $(AM_CPPFLAGS)
480
481 libsciast_la_includedir = $(pkgincludedir)
482 libsciast_la_include_HEADERS = 
483
484 ####################
485 ####################
486 check_INCLUDES = \
487     -I$(top_srcdir)/modules/symbol/includes \
488         -Iincludes/ \
489         -Isrc/cpp
490
491 check_LDADD = \
492     $(top_builddir)/modules/symbol/libsciSymbol.la \
493         $(top_builddir)/modules/ast/libsciast.la \
494         $(top_builddir)/modules/types/libsciTypes.la
495
496 testConstExp_SOURCES = src/cpp/testConstExp.cpp
497 testConstExp_CXXFLAGS = $(check_INCLUDES)
498 testConstExp_LDADD = $(check_LDADD)
499 testVarExp_SOURCES = src/cpp/testVarExp.cpp
500 testVarExp_CXXFLAGS = $(check_INCLUDES)
501 testVarExp_LDADD = $(check_LDADD)
502 testControlExp_SOURCES = src/cpp/testControlExp.cpp
503 testControlExp_CXXFLAGS = $(check_INCLUDES)
504 testControlExp_LDADD = $(check_LDADD)
505
506 # Where all the Scilab stuff is installed (macros, help, ...)
507 mydatadir = $(pkgdatadir)/modules/$(modulename)
508
509 # Set AM_* SCI detected settings
510 AM_CPPFLAGS = $(SCI_CPPFLAGS)
511 AM_CFLAGS = $(SCI_CFLAGS)
512 AM_CXXFLAGS = $(SCI_CXXFLAGS)
513 # append includes to AM_FFLAGS to manage fortran includes
514 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
515
516 # Tag shared libraries with the Scilab version
517 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
518
519 # splint options
520 SPLINT_OPTIONS = -weak -booltype BOOL
521
522 ########################### JAVA ######################################
523 #### We are delegating java compilation to ant... Thanks to that
524 #### the procedure will be the same with Microsoft Windows (C)
525 #### and Linux/Unix
526 #######################################################################
527 TARGETS_ALL = $(am__append_1)
528
529 ################ MACROS ######################
530 # Rule to build a macro
531 # NOT USED  AT THE MOMENT
532 SUFFIXES = .sci 
533
534 ########### INSTALL DOCUMENTATION ###################
535
536 # Install documentation files into the right target
537 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
538 # automake needs the html files to be present which is not the case when
539 # we are building Scilab
540
541 # Where it should be installed
542 pkgdocdir = $(mydatadir)
543
544 # What is the mask of the help source
545 DOCMASKXML = *.xml
546
547 # What is the mask of the MathML sources
548 DOCMASKMML = *.mml
549
550 ########### INSTALL DATA ###################
551 # Install macros, help & demos
552 # Where it should be installed
553 pkgmacrosdir = $(mydatadir)
554 # Which directory we process
555 MACRODIRS = macros/
556 # Mask of the Scilab sources macros
557 MACROMASK = *.sci
558 # Mask of the Scilab executable sources macros
559 MACROBUILDMASK = *.sce
560 # Mask of the Scilab compiled macros
561 MACROBINMASK = *.bin
562 # List of the standard directory for tests
563 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
564 # Where the demos should be installed
565 pkgdemosdir = $(mydatadir)
566 # List of the standard directory for demos
567 DEMOS_DIR = demos
568 # List of the standard directory for examples
569 EXAMPLES_DIR = examples
570 # Where to export JAVA archives (.jar)
571 JARDIR = jar/
572 # JAR files mask
573 JARMASK = *.jar
574 # Chapter file 
575 HELP_CHAPTERDIR = help/
576 HELP_CHAPTERFILE = addchapter.sce
577 HELP_CHAPTERLANG = en_US fr_FR pt_BR
578 all: all-am
579
580 .SUFFIXES:
581 .SUFFIXES: .sci .bin .cpp .lo .o .obj
582 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
583         @for dep in $?; do \
584           case '$(am__configure_deps)' in \
585             *$$dep*) \
586               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
587                 && { if test -f $@; then exit 0; else break; fi; }; \
588               exit 1;; \
589           esac; \
590         done; \
591         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ast/Makefile'; \
592         $(am__cd) $(top_srcdir) && \
593           $(AUTOMAKE) --foreign modules/ast/Makefile
594 .PRECIOUS: Makefile
595 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
596         @case '$?' in \
597           *config.status*) \
598             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
599           *) \
600             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
601             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
602         esac;
603 $(top_srcdir)/Makefile.incl.am:
604
605 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
606         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
607
608 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
609         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
610 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
611         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
612 $(am__aclocal_m4_deps):
613 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
614         @$(NORMAL_INSTALL)
615         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
616         list2=; for p in $$list; do \
617           if test -f $$p; then \
618             list2="$$list2 $$p"; \
619           else :; fi; \
620         done; \
621         test -z "$$list2" || { \
622           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
623           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
624           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
625           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
626         }
627
628 uninstall-pkglibLTLIBRARIES:
629         @$(NORMAL_UNINSTALL)
630         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
631         for p in $$list; do \
632           $(am__strip_dir) \
633           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
634           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
635         done
636
637 clean-pkglibLTLIBRARIES:
638         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
639         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
640           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
641           test "$$dir" != "$$p" || dir=.; \
642           echo "rm -f \"$${dir}/so_locations\""; \
643           rm -f "$${dir}/so_locations"; \
644         done
645 libsciast.la: $(libsciast_la_OBJECTS) $(libsciast_la_DEPENDENCIES) $(EXTRA_libsciast_la_DEPENDENCIES) 
646         $(CXXLINK) -rpath $(pkglibdir) $(libsciast_la_OBJECTS) $(libsciast_la_LIBADD) $(LIBS)
647
648 clean-checkPROGRAMS:
649         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
650         echo " rm -f" $$list; \
651         rm -f $$list || exit $$?; \
652         test -n "$(EXEEXT)" || exit 0; \
653         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
654         echo " rm -f" $$list; \
655         rm -f $$list
656 testConstExp$(EXEEXT): $(testConstExp_OBJECTS) $(testConstExp_DEPENDENCIES) $(EXTRA_testConstExp_DEPENDENCIES) 
657         @rm -f testConstExp$(EXEEXT)
658         $(testConstExp_LINK) $(testConstExp_OBJECTS) $(testConstExp_LDADD) $(LIBS)
659 testControlExp$(EXEEXT): $(testControlExp_OBJECTS) $(testControlExp_DEPENDENCIES) $(EXTRA_testControlExp_DEPENDENCIES) 
660         @rm -f testControlExp$(EXEEXT)
661         $(testControlExp_LINK) $(testControlExp_OBJECTS) $(testControlExp_LDADD) $(LIBS)
662 testVarExp$(EXEEXT): $(testVarExp_OBJECTS) $(testVarExp_DEPENDENCIES) $(EXTRA_testVarExp_DEPENDENCIES) 
663         @rm -f testVarExp$(EXEEXT)
664         $(testVarExp_LINK) $(testVarExp_OBJECTS) $(testVarExp_LDADD) $(LIBS)
665
666 mostlyclean-compile:
667         -rm -f *.$(OBJEXT)
668
669 distclean-compile:
670         -rm -f *.tab.c
671
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-debugvisitor.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-libAst.Plo@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-mutevisitor.Plo@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-printvisitor.Plo@am__quote@
676 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-scilabexception.Plo@am__quote@
677 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-shortcutvisitor.Plo@am__quote@
678 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-visitor_common.Plo@am__quote@
679 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testConstExp-testConstExp.Po@am__quote@
680 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testControlExp-testControlExp.Po@am__quote@
681 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testVarExp-testVarExp.Po@am__quote@
682
683 .cpp.o:
684 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
685 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
686 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
689
690 .cpp.obj:
691 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
692 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
693 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
696
697 .cpp.lo:
698 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
699 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
700 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
703
704 libsciast_la-libAst.lo: src/cpp/libAst.cpp
705 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-libAst.lo -MD -MP -MF $(DEPDIR)/libsciast_la-libAst.Tpo -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
706 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-libAst.Tpo $(DEPDIR)/libsciast_la-libAst.Plo
707 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/libAst.cpp' object='libsciast_la-libAst.lo' libtool=yes @AMDEPBACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
710
711 libsciast_la-visitor_common.lo: src/cpp/visitor_common.cpp
712 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-visitor_common.lo -MD -MP -MF $(DEPDIR)/libsciast_la-visitor_common.Tpo -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
713 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-visitor_common.Tpo $(DEPDIR)/libsciast_la-visitor_common.Plo
714 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/visitor_common.cpp' object='libsciast_la-visitor_common.lo' libtool=yes @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
717
718 libsciast_la-printvisitor.lo: src/cpp/printvisitor.cpp
719 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-printvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-printvisitor.Tpo -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
720 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-printvisitor.Tpo $(DEPDIR)/libsciast_la-printvisitor.Plo
721 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/printvisitor.cpp' object='libsciast_la-printvisitor.lo' libtool=yes @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
724
725 libsciast_la-debugvisitor.lo: src/cpp/debugvisitor.cpp
726 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-debugvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-debugvisitor.Tpo -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
727 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-debugvisitor.Tpo $(DEPDIR)/libsciast_la-debugvisitor.Plo
728 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/debugvisitor.cpp' object='libsciast_la-debugvisitor.lo' libtool=yes @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
731
732 libsciast_la-mutevisitor.lo: src/cpp/mutevisitor.cpp
733 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-mutevisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-mutevisitor.Tpo -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
734 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-mutevisitor.Tpo $(DEPDIR)/libsciast_la-mutevisitor.Plo
735 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/mutevisitor.cpp' object='libsciast_la-mutevisitor.lo' libtool=yes @AMDEPBACKSLASH@
736 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
738
739 libsciast_la-shortcutvisitor.lo: src/cpp/shortcutvisitor.cpp
740 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-shortcutvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
741 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo $(DEPDIR)/libsciast_la-shortcutvisitor.Plo
742 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/shortcutvisitor.cpp' object='libsciast_la-shortcutvisitor.lo' libtool=yes @AMDEPBACKSLASH@
743 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
744 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
745
746 libsciast_la-scilabexception.lo: src/cpp/scilabexception.cpp
747 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-scilabexception.lo -MD -MP -MF $(DEPDIR)/libsciast_la-scilabexception.Tpo -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
748 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-scilabexception.Tpo $(DEPDIR)/libsciast_la-scilabexception.Plo
749 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/scilabexception.cpp' object='libsciast_la-scilabexception.lo' libtool=yes @AMDEPBACKSLASH@
750 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
751 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
752
753 testConstExp-testConstExp.o: src/cpp/testConstExp.cpp
754 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.o -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
755 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
756 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.o' libtool=no @AMDEPBACKSLASH@
757 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
758 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
759
760 testConstExp-testConstExp.obj: src/cpp/testConstExp.cpp
761 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.obj -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
762 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
763 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.obj' libtool=no @AMDEPBACKSLASH@
764 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
766
767 testControlExp-testControlExp.o: src/cpp/testControlExp.cpp
768 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.o -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
769 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
770 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.o' libtool=no @AMDEPBACKSLASH@
771 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
772 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
773
774 testControlExp-testControlExp.obj: src/cpp/testControlExp.cpp
775 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.obj -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
776 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
777 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.obj' libtool=no @AMDEPBACKSLASH@
778 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
779 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
780
781 testVarExp-testVarExp.o: src/cpp/testVarExp.cpp
782 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.o -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
783 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
784 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.o' libtool=no @AMDEPBACKSLASH@
785 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
786 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
787
788 testVarExp-testVarExp.obj: src/cpp/testVarExp.cpp
789 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.obj -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
790 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
791 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.obj' libtool=no @AMDEPBACKSLASH@
792 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
793 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
794
795 mostlyclean-libtool:
796         -rm -f *.lo
797
798 clean-libtool:
799         -rm -rf .libs _libs
800 install-libsciast_la_includeHEADERS: $(libsciast_la_include_HEADERS)
801         @$(NORMAL_INSTALL)
802         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
803         if test -n "$$list"; then \
804           echo " $(MKDIR_P) '$(DESTDIR)$(libsciast_la_includedir)'"; \
805           $(MKDIR_P) "$(DESTDIR)$(libsciast_la_includedir)" || exit 1; \
806         fi; \
807         for p in $$list; do \
808           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
809           echo "$$d$$p"; \
810         done | $(am__base_list) | \
811         while read files; do \
812           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciast_la_includedir)'"; \
813           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciast_la_includedir)" || exit $$?; \
814         done
815
816 uninstall-libsciast_la_includeHEADERS:
817         @$(NORMAL_UNINSTALL)
818         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
819         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
820         dir='$(DESTDIR)$(libsciast_la_includedir)'; $(am__uninstall_files_from_dir)
821
822 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
823         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
824         unique=`for i in $$list; do \
825             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
826           done | \
827           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
828               END { if (nonempty) { for (i in files) print i; }; }'`; \
829         mkid -fID $$unique
830 tags: TAGS
831
832 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
833                 $(TAGS_FILES) $(LISP)
834         set x; \
835         here=`pwd`; \
836         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
837         unique=`for i in $$list; do \
838             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
839           done | \
840           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
841               END { if (nonempty) { for (i in files) print i; }; }'`; \
842         shift; \
843         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
844           test -n "$$unique" || unique=$$empty_fix; \
845           if test $$# -gt 0; then \
846             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
847               "$$@" $$unique; \
848           else \
849             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
850               $$unique; \
851           fi; \
852         fi
853 ctags: CTAGS
854 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
855                 $(TAGS_FILES) $(LISP)
856         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
857         unique=`for i in $$list; do \
858             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
859           done | \
860           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
861               END { if (nonempty) { for (i in files) print i; }; }'`; \
862         test -z "$(CTAGS_ARGS)$$unique" \
863           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
864              $$unique
865
866 GTAGS:
867         here=`$(am__cd) $(top_builddir) && pwd` \
868           && $(am__cd) $(top_srcdir) \
869           && gtags -i $(GTAGS_ARGS) "$$here"
870
871 distclean-tags:
872         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
873
874 check-TESTS: $(TESTS)
875         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
876         srcdir=$(srcdir); export srcdir; \
877         list=' $(TESTS) '; \
878         $(am__tty_colors); \
879         if test -n "$$list"; then \
880           for tst in $$list; do \
881             if test -f ./$$tst; then dir=./; \
882             elif test -f $$tst; then dir=; \
883             else dir="$(srcdir)/"; fi; \
884             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
885               all=`expr $$all + 1`; \
886               case " $(XFAIL_TESTS) " in \
887               *[\ \     ]$$tst[\ \      ]*) \
888                 xpass=`expr $$xpass + 1`; \
889                 failed=`expr $$failed + 1`; \
890                 col=$$red; res=XPASS; \
891               ;; \
892               *) \
893                 col=$$grn; res=PASS; \
894               ;; \
895               esac; \
896             elif test $$? -ne 77; then \
897               all=`expr $$all + 1`; \
898               case " $(XFAIL_TESTS) " in \
899               *[\ \     ]$$tst[\ \      ]*) \
900                 xfail=`expr $$xfail + 1`; \
901                 col=$$lgn; res=XFAIL; \
902               ;; \
903               *) \
904                 failed=`expr $$failed + 1`; \
905                 col=$$red; res=FAIL; \
906               ;; \
907               esac; \
908             else \
909               skip=`expr $$skip + 1`; \
910               col=$$blu; res=SKIP; \
911             fi; \
912             echo "$${col}$$res$${std}: $$tst"; \
913           done; \
914           if test "$$all" -eq 1; then \
915             tests="test"; \
916             All=""; \
917           else \
918             tests="tests"; \
919             All="All "; \
920           fi; \
921           if test "$$failed" -eq 0; then \
922             if test "$$xfail" -eq 0; then \
923               banner="$$All$$all $$tests passed"; \
924             else \
925               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
926               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
927             fi; \
928           else \
929             if test "$$xpass" -eq 0; then \
930               banner="$$failed of $$all $$tests failed"; \
931             else \
932               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
933               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
934             fi; \
935           fi; \
936           dashes="$$banner"; \
937           skipped=""; \
938           if test "$$skip" -ne 0; then \
939             if test "$$skip" -eq 1; then \
940               skipped="($$skip test was not run)"; \
941             else \
942               skipped="($$skip tests were not run)"; \
943             fi; \
944             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
945               dashes="$$skipped"; \
946           fi; \
947           report=""; \
948           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
949             report="Please report to $(PACKAGE_BUGREPORT)"; \
950             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
951               dashes="$$report"; \
952           fi; \
953           dashes=`echo "$$dashes" | sed s/./=/g`; \
954           if test "$$failed" -eq 0; then \
955             col="$$grn"; \
956           else \
957             col="$$red"; \
958           fi; \
959           echo "$${col}$$dashes$${std}"; \
960           echo "$${col}$$banner$${std}"; \
961           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
962           test -z "$$report" || echo "$${col}$$report$${std}"; \
963           echo "$${col}$$dashes$${std}"; \
964           test "$$failed" -eq 0; \
965         else :; fi
966
967 distdir: $(DISTFILES)
968         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
969         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
970         list='$(DISTFILES)'; \
971           dist_files=`for file in $$list; do echo $$file; done | \
972           sed -e "s|^$$srcdirstrip/||;t" \
973               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
974         case $$dist_files in \
975           */*) $(MKDIR_P) `echo "$$dist_files" | \
976                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
977                            sort -u` ;; \
978         esac; \
979         for file in $$dist_files; do \
980           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
981           if test -d $$d/$$file; then \
982             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
983             if test -d "$(distdir)/$$file"; then \
984               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
985             fi; \
986             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
987               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
988               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
989             fi; \
990             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
991           else \
992             test -f "$(distdir)/$$file" \
993             || cp -p $$d/$$file "$(distdir)/$$file" \
994             || exit 1; \
995           fi; \
996         done
997 check-am: all-am
998         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
999         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1000 check: check-am
1001 all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
1002 installdirs:
1003         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciast_la_includedir)"; do \
1004           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1005         done
1006 install: install-am
1007 install-exec: install-exec-am
1008 install-data: install-data-am
1009 uninstall: uninstall-am
1010
1011 install-am: all-am
1012         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1013
1014 installcheck: installcheck-am
1015 install-strip:
1016         if test -z '$(STRIP)'; then \
1017           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1018             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1019               install; \
1020         else \
1021           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1022             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1023             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1024         fi
1025 mostlyclean-generic:
1026
1027 clean-generic:
1028
1029 distclean-generic:
1030         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1031         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1032
1033 maintainer-clean-generic:
1034         @echo "This command is intended for maintainers to use"
1035         @echo "it deletes files that may require special tools to rebuild."
1036 clean: clean-am
1037
1038 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1039         clean-pkglibLTLIBRARIES mostlyclean-am
1040
1041 distclean: distclean-am
1042         -rm -rf ./$(DEPDIR)
1043         -rm -f Makefile
1044 distclean-am: clean-am distclean-compile distclean-generic \
1045         distclean-local distclean-tags
1046
1047 dvi: dvi-am
1048
1049 dvi-am:
1050
1051 html: html-am
1052
1053 html-am:
1054
1055 info: info-am
1056
1057 info-am:
1058
1059 install-data-am: install-data-local \
1060         install-libsciast_la_includeHEADERS
1061
1062 install-dvi: install-dvi-am
1063
1064 install-dvi-am:
1065
1066 install-exec-am: install-pkglibLTLIBRARIES
1067
1068 install-html: install-html-am
1069
1070 install-html-am: install-html-local
1071
1072 install-info: install-info-am
1073
1074 install-info-am:
1075
1076 install-man:
1077
1078 install-pdf: install-pdf-am
1079
1080 install-pdf-am:
1081
1082 install-ps: install-ps-am
1083
1084 install-ps-am:
1085
1086 installcheck-am:
1087
1088 maintainer-clean: maintainer-clean-am
1089         -rm -rf ./$(DEPDIR)
1090         -rm -f Makefile
1091 maintainer-clean-am: distclean-am maintainer-clean-generic
1092
1093 mostlyclean: mostlyclean-am
1094
1095 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1096         mostlyclean-libtool
1097
1098 pdf: pdf-am
1099
1100 pdf-am:
1101
1102 ps: ps-am
1103
1104 ps-am:
1105
1106 uninstall-am: uninstall-libsciast_la_includeHEADERS \
1107         uninstall-pkglibLTLIBRARIES
1108
1109 .MAKE: check-am install-am install-strip
1110
1111 .PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1112         check-local clean clean-checkPROGRAMS clean-generic \
1113         clean-libtool clean-local clean-pkglibLTLIBRARIES ctags \
1114         distclean distclean-compile distclean-generic \
1115         distclean-libtool distclean-local distclean-tags distdir dvi \
1116         dvi-am html html-am info info-am install install-am \
1117         install-data install-data-am install-data-local install-dvi \
1118         install-dvi-am install-exec install-exec-am install-html \
1119         install-html-am install-html-local install-info \
1120         install-info-am install-libsciast_la_includeHEADERS \
1121         install-man install-pdf install-pdf-am \
1122         install-pkglibLTLIBRARIES install-ps install-ps-am \
1123         install-strip installcheck installcheck-am installdirs \
1124         maintainer-clean maintainer-clean-generic mostlyclean \
1125         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1126         pdf pdf-am ps ps-am tags uninstall uninstall-am \
1127         uninstall-libsciast_la_includeHEADERS \
1128         uninstall-pkglibLTLIBRARIES
1129
1130
1131 # This target enables tests for Scilab
1132 check-local: $(top_builddir)/scilab-bin test
1133         if test -d $(mydatadir)/tests; then \
1134           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1135         fi
1136 check-code:
1137         if test -f build.xml; then \
1138                 $(ANT) checkstyle; \
1139         fi
1140         if test -x "$(SPLINT)"; then \
1141                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1142         fi
1143 @NEED_JAVA_TRUE@java:
1144 # Some configurations needs to export JAVA_HOME in the current env
1145 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1146 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1147 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1148 @NEED_JAVA_TRUE@                $(ANT); \
1149 @NEED_JAVA_TRUE@        fi
1150
1151 @NEED_JAVA_TRUE@clean-java:
1152 # Some configurations needs to export JAVA_HOME in the current env
1153 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1154 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1155 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1156 @NEED_JAVA_TRUE@                $(ANT) clean; \
1157 @NEED_JAVA_TRUE@        fi;
1158
1159 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1160 # We call the target swig-build on the variable SWIG_WRAPPERS
1161
1162 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1163 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1164 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1165 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1166 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1167 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1168 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1169 @SWIG_TRUE@             done; \
1170 @SWIG_TRUE@     fi
1171
1172 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1173 # We call the target swig-build on the variable SWIG_WRAPPERS
1174
1175 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1176 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1177 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1178 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1179 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1180 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1181 @GIWS_TRUE@             done; \
1182 @GIWS_TRUE@     fi
1183
1184 @GIWS_TRUE@giws-exception:
1185 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1186 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1187 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1188
1189 macros:
1190         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1191                 echo "Error : Cannot build $< : Scilab has not been built"; \
1192         else \
1193                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1194         fi)
1195
1196 # Removes the macros
1197 clean-macros:
1198 # Removes macros (*.bin generated from .sci)
1199         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1200                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1201                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1202         done
1203
1204 test:
1205 # More tests could be added here
1206         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1207         if test -f build.xml -a $$USEANT -eq 1; then \
1208                 $(ANT) test; \
1209         fi
1210
1211 all-local: $(TARGETS_ALL)
1212
1213 .sci.bin:
1214         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1215         echo "Error : Cannot build $< : Scilab has not been build"; \
1216         else \
1217         echo "Creating $@"; \
1218         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1219         fi )
1220
1221 install-html-local:
1222
1223 install-data-local-local:
1224 # Mainly for javasci
1225         @if test -d $(srcdir)/javadoc; then \
1226                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1227         fi
1228 # If the user wants the help sources to be installed
1229 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1230 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1231 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1232 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1233 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1234 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1235 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1236 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1237 @INSTALL_HELP_XML_TRUE@           done ; \
1238 @INSTALL_HELP_XML_TRUE@         fi; \
1239 @INSTALL_HELP_XML_TRUE@  fi; \
1240 @INSTALL_HELP_XML_TRUE@ done; \
1241 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1242 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1243 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1244 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1245 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1246 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1247 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1248 @INSTALL_HELP_XML_TRUE@           done ; \
1249 @INSTALL_HELP_XML_TRUE@         fi; \
1250 @INSTALL_HELP_XML_TRUE@ fi
1251 install-data-local:
1252 # Install the tests
1253         @echo "-------- Install tests (if any) --------"; \
1254         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1255           if test -d $(srcdir)/$$dir/; then \
1256             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1257                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1258                     if test -d "$(srcdir)/$$dir/$$file"; then \
1259                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1260                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1261                     else \
1262                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1263                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1264                     fi \
1265                   done; \
1266           fi; \
1267         done
1268 # Install the help chapter
1269         @echo "-------- Install the help chapter (if any) --------"; \
1270         for lang in $(HELP_CHAPTERLANG); do \
1271                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1272                 if test -f $$HELPFILE; then \
1273                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1274                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1275                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1276                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1277                 fi; \
1278         done
1279 # Install the demos & examples
1280         @echo "-------- Install demos & examples (if any) --------"; \
1281         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1282           if test -d $(srcdir)/$$dir/; then \
1283             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1284                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1285                     if test -d "$(srcdir)/$$dir/$$file"; then \
1286                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1287                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1288                     else \
1289                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1290                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1291                     fi \
1292                   done; \
1293           fi; \
1294         done
1295 # Install the macros
1296         @echo "-------- Install macros (if any) --------"; \
1297         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1298           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1299                 if test -d $(srcdir)/$$dir/; then \
1300                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1301                         if test -n "$(MACROSSPECIALEXT)"; then \
1302                                 specialExtDir=""; \
1303                                 for specialExt in $(MACROSSPECIALEXT); do \
1304                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1305                                 done; \
1306                                 FILELIST="$$FILELIST $$specialExtDir"; \
1307                         fi; \
1308                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1309                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1310                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1311                   done; \
1312                 fi; \
1313         done
1314 # Install java files (.jar)
1315         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1316         echo "-------- Install jar files --------"; \
1317     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1318           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1319                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1320                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1321           done ; \
1322         fi
1323
1324 ########### CLEAN ###################
1325 # Clean help (generated automatically by Scilab)
1326 # It used to clean the macro (clean-macros) but this was causing
1327 # make clean && make to fail Scilab startup
1328 @NEED_JAVA_TRUE@clean-local: clean-java
1329 @NEED_JAVA_FALSE@clean-local:
1330
1331 distclean-local:
1332         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1333
1334 .PHONY: macros java swig giws
1335
1336 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1337 # Otherwise a system limit (for SysV at least) may be exceeded.
1338 .NOEXPORT: